Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 588107 - [abrt] crash in firefox-3.5.9-2.fc12: killed by signal 11 [@ _gdk_windowing_window_at_pointer]
[abrt] crash in firefox-3.5.9-2.fc12: killed by signal 11 [@ _gdk_windowing_w...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
abrt_hash:2c3b59868c9ba39ba60f8d9e686...
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-02 13:50 EDT by Robert Binkhorst
Modified: 2018-04-11 06:25 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 10:11:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (92.37 KB, text/plain)
2010-05-02 13:50 EDT, Robert Binkhorst
no flags Details
Part of the thread where crash happened (2.44 KB, text/plain)
2010-09-25 19:45 EDT, Matěj Cepl
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 589431 None None None Never
Launchpad 158960 None None None Never

  None (edit)
Description Robert Binkhorst 2010-05-02 13:50:07 EDT
abrt 1.0.9 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: /usr/lib64/firefox-3.5/firefox --sm-config-prefix /firefox-IZqeUR/ --sm-client-id 109a8aad5f12c44016126743565086753800000030490067 --screen 0
comment: The tab for a webpage I came across browsing didn't want to close (http://plan-b-for-openoffice.org/calc/topic/format-page-print-landscape). This page uses java. I had 15 tabs open on a busy system. I can't reproduce this at will though...
component: firefox
executable: /usr/lib64/firefox-3.5/firefox
global_uuid: 2c3b59868c9ba39ba60f8d9e686786cb69e6bc66
kernel: 2.6.32.11-99.fc12.x86_64
package: firefox-3.5.9-2.fc12
rating: 4
reason: Process /usr/lib64/firefox-3.5/firefox was killed by signal 11 (SIGSEGV)
release: Fedora release 12 (Constantine)

How to reproduce
-----
1. open firefox and browse to a webpage that loads a java applet. 
2. close the tab that as the java applet open
3.
Comment 1 Robert Binkhorst 2010-05-02 13:50:10 EDT
Created attachment 410825 [details]
File: backtrace
Comment 2 Chris Campbell 2010-05-08 09:42:39 EDT
#2  <signal handler called>
No symbol table info available.
#3  0x0000003dfe87b44f in IA__gdk_xid_table_lookup_for_display (
    display=0x7f4d2b09a190, xid=18886061) at gdkxid.c:100
        __t = 139969411191600
        __r = <value optimized out>
        _g_boolean_var_ = <value optimized out>
        display_x11 = <value optimized out>
        data = 0x0
        __PRETTY_FUNCTION__ = "IA__gdk_xid_table_lookup_for_display"
#4  0x0000003dfe87346b in _gdk_windowing_window_at_pointer (
    display=<value optimized out>, win_x=<value optimized out>, 
    win_y=<value optimized out>, mask=<value optimized out>, get_toplevel=1)
    at gdkwindow-x11.c:3260
        window = <value optimized out>
        screen = <value optimized out>
        root = 346
        xwindow = 18886061
        child = 18886061
        xwindow_last = 18886061
        xdisplay = 0x7f4d2b08c000
        rootx = 256
        rooty = 272
        winx = <value optimized out>
        winy = <value optimized out>
        xmask = <value optimized out>
#5  0x0000003dfe81f1a6 in get_current_toplevel (display=0x7f4d2b09a190, 
    grab=0x0, last_grab=0x7f4d03b2eac0, time=22491237, serial=152858)
    at gdkdisplay.c:919
        pointer_window = <value optimized out>
        x = <value optimized out>
        y = <value optimized out>
        state = <value optimized out>
#6  switch_to_pointer_grab (display=0x7f4d2b09a190, grab=0x0, 
    last_grab=0x7f4d03b2eac0, time=22491237, serial=152858)
    at gdkdisplay.c:996
        src_window = <value optimized out>
        pointer_window = <value optimized out>
        new_toplevel = 0x0
        old_grabs = 0x0
        state = <value optimized out>
        x = <value optimized out>
        y = <value optimized out>
#7  0x0000003dfe81f3c1 in _gdk_display_pointer_grab_update (
    display=0x7f4d2b09a190, current_serial=152858) at gdkdisplay.c:1082
        current_grab = 0x7f4d03b2eac0
        next_grab = <value optimized out>
        time = 22491237
#8  0x0000003dfe840c8f in _gdk_windowing_got_event (display=0x7f4d2b09a190, 
    event_link=0x7f4d021c7600, event=0x7f4d0349f470, serial=152858)
    at gdkwindow.c:10530
        event_window = <value optimized out>
        x = 256
        y = 224
        unlink_event = 1
        old_state = <value optimized out>
        old_button = <value optimized out>
        button_release_grab = <value optimized out>
        is_toplevel = <value optimized out>



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Matěj Cepl 2010-09-25 19:45:01 EDT
Created attachment 449654 [details]
Part of the thread where crash happened
Comment 4 Bug Zapper 2010-11-03 11:49:27 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-12-03 10:11:08 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.